Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83830 - RFE: User Interface conflct between Mozilla-Mail and Evolution in default RH8 Gnome settings
Summary: RFE: User Interface conflct between Mozilla-Mail and Evolution in default RH8...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 18:18 UTC by Scott R. Godin
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 16:15:11 UTC


Attachments (Terms of Use)

Description Scott R. Godin 2003-02-09 18:18:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
the gnome-panel has icons for both Mozilla and Evolution.

User arranges settings for Evolution to handle his e-mail.

User opens Mozilla, browses a web-page, and finds an e-mail address on one of
them that s/he would like to respond to. 

User clicks e-mail address, only to discover that it opens Mozilla-Mail instead
of using Evolution to handle the mail with. 

This is definitely a conflict of interest in this regard, as it is very
confusing to the uninitiated user who is unfamiliar with the multiplicity of
settings available for the various products. 

Even knowing what I'm doing to a fair degree, I was unable to, with a cursory
examination of Mozilla preferences, discover where to set the Moz preferences so
that it would handle a mailto: with an external application instead of
Mozilla-mail. 

IMHO this should be set to default to Evolution if you plan to offer both
products on the gnome-panel by default. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see above. 

Actual Results:  clicking an e-mail address in mozilla opens mozilla mail

Expected Results:  clicking an e-mail address in mozilla should, if evolution
has been configured as the users e-mail application, open evolution instead.

Additional info:

Provision should be made to advise the user how to make this change to Mozilla
should you find it undesirable to set this as a default.

Perhaps a config-option in the Evolution setup wizard?

Comment 1 Jeremy Katz 2003-02-09 18:47:34 UTC
evolution really shouldn't be changing mozilla preferences, but it's possible
that the mozilla defaults should be changed.

Comment 2 Scott R. Godin 2003-02-09 19:58:03 UTC
I've poked around a little in prefs.js but haven't found anything conclusive
that would make it easy to specify an external mailer to use. 

Galeon on the other hand is EASY to configure in this regard (Handlers). *sigh* :-)

Dunno about Konqueror yet as I haven't really played with it much. 

I don't think a wizard option in Evolution offering the non-default opportunity
to configure moz's prefs.js (should an appropriate pref exist) is one to be
overlooked. It's rather straightforward to the user, AND (dare I say it) makes
sense. :-)

Comment 3 Scott R. Godin 2003-02-09 20:02:54 UTC
http://www.mozilla.org/start/1.0/faq/mail-news.html#3.3

also found this in Mozilla's FAQ, so it *appears* to not be possible at the
present time. 

This definitely should be resolved one way or the other prior to release of 8.1,
from a usability standpoint for the end-user in a Desktop OS environment. (IMHO) 

Comment 4 Florin Andrei 2003-07-24 18:56:19 UTC
All this could be solved by simply using Mozex as a Mozilla extension:

http://mozex.mozdev.org/

It allows to define arbitrary mail handlers in Mozilla, including Evolution. I'm
using it with excellent results. Now, when i click on a mailto: URL, Mozilla
launches Evolution.
Also see my mini-HOWTO here:

http://www.redhat.com/archives/shrike-list/2003-July/msg00102.html


Comment 5 Bill Nottingham 2006-08-07 18:51:54 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 6 Bill Nottingham 2006-10-18 16:15:11 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.